/* Copyright (C) 2001,2008 Martijn van Iersel and Jules Beulen
 * This program is released under the terms of the zlib license
 * See license.txt for details
 */
#ifndef MESSAGER_H
#define MESSAGER_H

#include <allegro.h>

class Messager
{
private:
    int current_message;
    int message_timer;
    int rx, ry, rw, rh;
public:
    void setRect (int x, int y, int w, int h);
    void activate ();
    // time > 0 = #updates, time < 0 = forever
    // msg 0 = remove message
    void setMessage (int index, int time = -1);
    int getMessage ();
    void update ();
    void draw (BITMAP *buffer);
};

#endif
